/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { AverageDirectionalIndexIndicatorStrategy } from "./AverageDirectionalIndexIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class AverageDirectionalIndexIndicator extends StrategyBasedIndicator {
    get_p3() {
        return new AverageDirectionalIndexIndicatorStrategy();
    }
    get p3() {
        return this.get_p3();
    }
    get_qg() {
        return AverageDirectionalIndexIndicator.$;
    }
    get qg() {
        return this.get_qg();
    }
    get qo() {
        return typeGetValue(this.c(AverageDirectionalIndexIndicator.qp));
    }
    set qo(a) {
        this.h(AverageDirectionalIndexIndicator.qp, a);
    }
    p9() {
        return this.qo;
    }
    qi(a) {
        this.qo = a;
    }
}
AverageDirectionalIndexIndicator.$t = markType(AverageDirectionalIndexIndicator, 'AverageDirectionalIndexIndicator', StrategyBasedIndicator.$);
AverageDirectionalIndexIndicator.qp = StrategyBasedIndicator.ql(14, AverageDirectionalIndexIndicator.$);
